%global perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-Parse-Yapp
Version:        1.21
Release:        1
Summary:        Perl extension for generating and using LALR parsers
Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/Parse-Yapp/
Source0:        http://www.cpan.org/authors/id/W/WB/WBRASWELL/Parse-Yapp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
#BuildRequires:  perl-generators
#BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
Requires:       perl >= %(eval "`perl -V:version`"; echo $version)

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that
let you generate and use yacc like thread safe (reentrant) parsers with perl
object oriented interface.  The script yapp is a front-end to the Parse::Yapp
module and let you easily create a Perl OO parser from an input grammar file.

%prep
%setup -q -n Parse-Yapp-%{version}
chmod 644 README lib/Parse/*.pm lib/Parse/Yapp/*.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{_bindir}/yapp
%{perl_vendorlib}/Parse/
%{_datadir}/man/man1/*.1*
%{_datadir}/man/man3/*.3*


%changelog
* Tue Sep 22 2020 Ayappan P <ayappap2@in.ibm.com> = 1.21-1
- Built for AIX Toolbox
